%define name chemtool
%define version 1.3.1
%define release 1

Summary: Chemtool is a program for 2D drawing organic molecules
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Chemistry
Source: http://www.uni-ulm.de/~s_tvolk/chemtool/stable/%{name}-%{version}.tar.gz
URL: http://www.uni-ulm.de/~s_tvolk/chemtool.html
Packager: Radek Liboska <liboska@uochb.cas.cz>
Vendor: Martin Kroeker & Thomas Volk
Icon: chemtool.xpm
Prefix: /usr/X11R6
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using 
the GTK widget set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%prefix/{bin,man/man1,doc/%{name}-%{version},share/%{name}-%{version}/examples}
install -d $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/locale/cs/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/locale/ru/LC_MESSAGES
install -s -m 755 %{name} $RPM_BUILD_ROOT%prefix/bin
install -s -m 755 src-cht/cht $RPM_BUILD_ROOT%prefix/bin
install -m 644 examples/* $RPM_BUILD_ROOT%prefix/share/%{name}-%{version}/examples
install -m 644 {TODO,README,ChangeLog}  $RPM_BUILD_ROOT%prefix/doc/%{name}-%{version}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%prefix/man/man1/
install -m 644 locales/de/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
install -m 644 locales/cs/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/cs/LC_MESSAGES
install -m 644 locales/ru/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/ru/LC_MESSAGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%prefix/bin/%{name}
%prefix/bin/cht
%prefix/doc/%{name}-%{version}
%prefix/share/%{name}-%{version}
# new version of rpm compresses the man pages
%prefix/man/man1/%{name}.1.gz
/usr/share/locale/de/LC_MESSAGES/chemtool.mo
/usr/share/locale/cs/LC_MESSAGES/chemtool.mo
/usr/share/locale/ru/LC_MESSAGES/chemtool.mo

%changelog
* Thu May  3 2001 Radek Liboska <liboska@uochb.cas.cz>
- 1.3.1 See %prefix/doc/%{name}-%{version}/ChangeLog for change log
